MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023965Community[OCCT] OCCT:Visualizationpublic2013-05-15 19:112013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023965: Making unnecessary copies of TopoDS_Face in Voxel_FastConverter when checking triangulation
DescriptionIn Voxel_FastConverter.cxx there are three lines where faces are copied. Using reference should be enough.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0024406)
Pawel (developer)
2013-05-15 19:25

Branch CR23965 pushed. Please review.
(0024459)
bugmaster (administrator)
2013-05-22 12:01

Vlad,
Please make reviewing
(0024464)
vro (developer)
2013-05-22 14:22

Thank you for improvement of the code!
(0024465)
vro (developer)
2013-05-22 14:22

Reviewed!
(0024545)
mkv (tester)
2013-05-29 16:24

Dear BugMaster,

Branch CR23965 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a499ba08f4f0b04c85a3e628f5b73d6c41de45e0

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365998340 / 365885296
Total CPU difference: 46744.110000000976 / 45787.42000000135

Testing on Windows:
Total MEMORY difference: 417289536 / 420905440
Total CPU difference: 31821.921875 / 30779.234375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 034b4775
Timestamp: 2013-05-15 15:24:43
Author: Pawel
Details ] Diff ]
0023965: Making unnecessary copies of TopoDS_Face in Voxel_FastConverter when checking triangulation

Using reference of TopoDS_Face instead of a copy.
Checking if the obtained triangulation is not Null before continuing.
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-15 19:11 Pawel New Issue
2013-05-15 19:11 Pawel Assigned To => Pawel
2013-05-15 19:19 Pawel Summary Making unnecessary copies of TopoDS_Face when checking triangulation => Making unnecessary copies of TopoDS_Face in Voxel_FastConverter when checking triangulation
2013-05-15 19:25 Pawel Note Added: 0024406
2013-05-15 19:25 Pawel Assigned To Pawel => bugmaster
2013-05-15 19:25 Pawel Status new => resolved
2013-05-22 12:01 bugmaster Note Added: 0024459
2013-05-22 12:01 bugmaster Assigned To bugmaster => vro
2013-05-22 12:01 bugmaster Status resolved => assigned
2013-05-22 14:22 vro Note Added: 0024464
2013-05-22 14:22 vro Status assigned => resolved
2013-05-22 14:22 vro Note Added: 0024465
2013-05-22 14:22 vro Status resolved => reviewed
2013-05-22 14:56 mkv Assigned To vro => mkv
2013-05-29 16:24 mkv Note Added: 0024545
2013-05-29 16:25 mkv Test case number => Not needed
2013-05-29 16:25 mkv Assigned To mkv => bugmaster
2013-05-29 16:25 mkv Status reviewed => tested
2013-06-03 14:48 Pawel Changeset attached => occt master 034b4775
2013-06-03 14:48 Pawel Assigned To bugmaster => Pawel
2013-06-03 14:48 Pawel Status tested => verified
2013-06-03 14:48 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker